| helics 3.6.1

Public Member Functions | Public Attributes | List of all members
helics::TimeData Class Reference
Inheritance diagram for helics::TimeData:

## Public Member Functions
| TimeData (const TimeData &)=default
TimeData & | operator= (const TimeData &)=default
| TimeData (TimeData &&)=default
TimeData & | operator= (TimeData &&)=default
| TimeData (Time start, TimeState startState=TimeState::initialized, std::uint8_t resLevel=0U)
bool | update (const TimeData &update)

## Public Attributes
Time | next {negEpsilon}
| next possible message or value
Time | Te {timeZero}
| the next currently scheduled event
Time | minDe {timeZero}
| min dependency event time
Time | TeAlt {timeZero}
| the second min event
Time | lastGrant {timeZero}
| storage for the previous grant time
GlobalFederateId | minFed {}
| identifier for the min dependency
GlobalFederateId | minFedActual {}
| the actual forwarded minimum federate object
TimeState | mTimeState {TimeState::initialized}
bool | hasData {false}
| indicator that data was sent in the current interval
bool | interrupted {false}
| indicator that the federates next event is a timing interruption
bool | delayedTiming {false}
| indicator that the dependency is using delayed timing
std::int8_t | timingVersion {-2}
| version indicator
std::uint8_t | restrictionLevel {0}
| timing restriction level
std::int32_t | timeoutCount {0}
| counter for timeout checking
std::int32_t | sequenceCounter {0}
| the sequence Counter of the request
std::int32_t | responseSequenceCounter {0}
std::int32_t | grantedIteration {0}
| the iteration of the dependency when the local iteration was granted

## Member Function Documentation

## ◆ update()

bool helics::TimeData::update | ( | const TimeData & | update | ) |

check if there is an update to the current dependency info and assign

References interrupted, minDe, minFed, minFedActual, next, responseSequenceCounter, sequenceCounter, Te, and TeAlt.

## Member Data Documentation

## ◆ responseSequenceCounter

std::int32_t helics::TimeData::responseSequenceCounter {0}

the iteration count of the min federate

Referenced by helics::BaseTimeCoordinator::generateTimeRequest(), and update().

The documentation for this class was generated from the following files:

- TimeDependencies.hpp
- TimeDependencies.cpp